Package org.gradle.tooling

# Interface ProgressListener

public interface ProgressListener
A listener which is notified as some long running operation makes progress.

Since:
  1.0-milestone-3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `statusChanged(ProgressEvent event)`
  Called when the progress status changes.

- ## Method Details

  - ### statusChanged

    void statusChanged(ProgressEvent event)
    Called when the progress status changes.
    Parameters:
      `event` - An event describing the status change.
    Since:
      1.0-milestone-3